### Function

# Dex subprocess_wait

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_subprocess_wait (
      GSubprocess* subprocess
    )

#### Description [src]

Wraps `g_subprocess_wait_async()`.

Available since: 1.2

#### Parameters

`subprocess`

  Type: `GSubprocess`

  A `GSubprocess`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to `TRUE` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.